# Projekt Editor

![Hauptfenster Übersicht](help/deutsch/_images/mainwindow/overview.png)

Der Projekteditor ist das Hauptfenster der ETB

Das Hauptfenster besteht im Wesentlichen aus dem Test-/Hardwareexplorer (Nummer 1), dem bearbeiten Bereich (Nummer 2), welches das gerade ausgewählte Element aus dem Baumverzeichnis anzeigt, sowie der oberen Menü / Iconleiste (Nummer 3).

Die Nummer 4 unten zeigt die Tabs zum umschalten zwischen dem Testexplorer (Für Testspezifikationen / -fälle / -schritte) sowie dem Hardware-Explorer zum Anlegen von Hardware.

## Explorer

Zunächst werden die zwei Explorer (Nummer 1 / 4) betrachtet.

### Testexplorer

![Hauptfenster testexplorer](help/deutsch/_images/mainwindow/testexplorer.png)

Beim Testexplorer handelt es sich um die Visualisierung des Aufbaus der vorhandenen Testspezifikationen, sowie deren Testfällen und deren Testschritten.
Über dem Explorer befinden sich Icons, die 4 Icons links (Nummer 1) bieten dabei folgende Funktionen:
* Aktuelles Element vor das vorherige schieben (Hierbei geht es nicht um die Hierarchie, sondern die Position innerhalb der Ebene. So können z.B. die Reihenfolgen von Schritten innerhalb eines Testfalls geändert werden)
* Aktuelles Element nach dem nachfolgenden schieben
* Alle Elemente ausklappen
* Alle Elemente einklappen

Nummer 2 zeigt den Aufbau des Testprojekts in der bereits erwähnten Hierarchie. Hier können auch neue Testspezifikationen / -fälle / -schritte hinzugefügt, oder vorhandene zum Bearbeiten ausgewählt werden.
Die 2 rechten Spalten (Nummer 3) dienen als Shortcut um das jeweilige Element zu Wiederholen, oder für die Ausführung aus oder abzuwählen.

### Hardwareexplorer

Dieser Explorer enthält eine Liste der angelegten Hardware. 
Es kann neue Hardware hinzugefügt und vorhandene bearbeitet oder gelöscht werden.

## Bearbeitenbereich

Dieser Bereich dient zum Bearbeiten des ausgewählten elements aus dem Projekt / Hardwareexplorer.
Abhängig vom gewählten Objekt sieht dieser Bereich unterschiedlich aus.
Das nachfolgende Bild zeigt den Bereich für den Testschritt "Warten".

![Hauptfenster eigenschafteneditor](help/deutsch/_images/mainwindow/eigenschafteneditor.png)

## Menü- / Iconleiste

![Iconleiste](help/deutsch/_images/mainwindow/buttons.png)

Die Menüs haben folgende Einträge:

### Datei

| Name | Funktion |
| - | - |
| Neues Projekt | Öffnet ein neues Testprojekt |
| Projekt öffnen... | Öffnet ein existierendes Testprojekt |
| Testplan öffnen | Öffnet einen existierenden Testplan |
| Projekt speichern | Speichert das aktuelle Testprojekt |
| Projekt speichern unter... | Speichert das aktuelle Testprojekt an einem auswählbaren Ort |
| Speichere Projektordner unter... | Speichert die gesamte Projektstruktur an einem auswählbaren Ort |
| Projekt schließen | Schließt das aktuelle Testprojekt |
| Einstellungen... | Öffnet das Einstellungen Fenster |
| Berichtsdesigner | Öffnet den Berichtsdesigner (Nur möglich, wenn der Pfad unter Einstellungen richtig gesetzt ist) |
| Keys bearbeiten | Öffnet den Key Editor |
| Plugin Manager... | Öffnet die Pluginübersicht |
| Beenden | Beendet die ETB |

### Test

| Name | Funktion |
| - | - |
| Test(s) starten | Öffnet den [Testrunner](app/ui/testrunner.md) |

### Hilfe

| Name | Funktion |
| - | - |
| Offline Hilfe | Startet diese Hilfe |

Die Buttons haben folgende Funktionen und Abhängigkeiten:

| Name | Funktion | Abhängigkeit |
| - | - | - |
| Neues Projekt öffnen | Öffnet ein neues Projekt | keine |
| Projekt öffnen | Öffnet ein vorhandenes Projekt | keine |
| Projekt speichern | Speichert das aktuelle Projekt | Es muss ein Projekt geöffnet sein |
| Aktuelles Projekt schließen | Schließt das aktuelle Projekt | Es muss ein Projekt geöffnet sein |
| Testrunner öffnen | Öffnet den Testrunner mit dem aktuellen Projekt | Es muss ein Projekt geöffnet sein |
| Testprojekt exportieren | Exportiert das aktuelle Testprojekt | Es muss ein Projekt geöffnet sein |
| Projektverzeichnis öffnen | Öffnet den Ordner des aktuellen Projekts | Es muss ein Projekt geöffnet sein |
| Berichtsdesigner öffnen | Öffnet den hinterlegten Berichtsdesigner | Die unter Einstellungen hinterlegte Berichtsdesigner Anwendung ist am angegegbenen Ort vorhanden |
| Testprojekt sperren | Testprojekt kann nicht mehr editiert werden | Es muss ein Projekt geöffnet sein |
| Testprojekt entsperren | Testprojekt kann wieder bearbeitet werden | Es muss ein Projekt geöffnet sein |
| Keyeditor öffnen | Öffnet den Keyeditor | Es muss ein Projekt geöffnet sein |
| Einstellungen öffnen | Öffnet die Einstellungen | keine |


[Zurück zur Fensterübersicht](app/gui.md)

[Zurück zum Inhaltsverzeichnis](Main.md)