﻿/// <file>UiSettings.cs</file>
/// 
/// <summary>Represents the application settings for this sample UI plugin.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#nullable enable

#region Using

using Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Interfaces;

using System.Configuration;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin.UI.Helper
{
    /// <summary>
    /// Represents the application settings for this sample UI plugin.
    /// </summary>
    internal sealed class UiSettings : ApplicationSettingsBase, ISamplePluginPluginSettings
    {
        #region Properties

        [UserScopedSetting]
        [DefaultSettingValue("0")]
        public int SamplePluginSettingNumber
        {
            get
            {
                return (int)this[nameof(SamplePluginSettingNumber)];
            }

            set
            {
                this[nameof(SamplePluginSettingNumber)] = value;
            }
        }

        [UserScopedSetting]
        [DefaultSettingValue("true")]
        public bool SamplePluginSettingBool
        {
            get
            {
                return (bool)this[nameof(SamplePluginSettingBool)];
            }

            set
            {
                this[nameof(SamplePluginSettingBool)] = value;
            }
        }

        [UserScopedSetting]
        [DefaultSettingValue("this is a string")]
        public string SamplePluginSettingString
        {
            get
            {
                return (string)this[nameof(SamplePluginSettingString)];
            }

            set
            {
                this[nameof(SamplePluginSettingString)] = value;
            }
        }

        #endregion Properties
    }
}
