﻿/// <file>DoSampleStepUiMetadata.cs</file>
/// 
/// <summary>The implementation of the <see cref="TestStepTypeUiMetadataBase"/> class for the <see cref="DoSampleWithDetailStep"/> class.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#region Using

using Mathema.EmbeddedTestBench.Core.UI.Tests;
using Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Model.StepTypes;
using Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Model.StepTypes.Metadata;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin.UI.Metadata
{
    /// <summary>
    /// The implementation of the <see cref="TestStepTypeUiMetadataBase"/> class for the <see cref="DoSampleStep"/> class.
    /// </summary>
    internal sealed class DoSampleStepUiMetadata : TestStepTypeUiMetadataBase
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of this <see cref="DoSampleStepUiMetadata"/> class.
        /// </summary>
        public DoSampleStepUiMetadata() : base(new DoSampleStepMetadata())
        {
            // Empty on purpose.
        }

        #endregion Constructors

        #region Public methods

        /// <inheritdoc/>
        public override DoSampleStepUiMetadata CreateDeepCopy()
        {
            return new();
        }

        #endregion Public methods
    }
}
