﻿/// <file>IPythonPluginSettings.cs</file>
/// 
/// <summary>Represents the settings of this python plugin.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#nullable enable

#region Using

using Mathema.EmbeddedTestBench.Core.Interfaces;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Interfaces
{
    /// <summary>
    /// Represents the settings of this sample plugin.
    /// </summary>
    public interface ISamplePluginPluginSettings : IPluginSettings
    {
        #region Properties

        /// <summary>
        /// Sample for an integer value
        /// </summary>
        int SamplePluginSettingNumber { get; }

        /// <summary>
        /// Sample for a boolean value.
        /// </summary>
        bool SamplePluginSettingBool { get; }
        /// <summary>
        /// Sample for a string value.
        /// </summary>
        string SamplePluginSettingString { get; }

        #endregion Properties
    }
}
