﻿/// <file>SamplePluginSettings.cs</file>
/// 
/// <summary>The default implementation of the <see cref="ISamplePluginPluginSettings"/> interface for the non-UI sample-plugin.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#nullable enable

#region Using

using Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Interfaces;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Model.Helper
{
    /// <summary>
    /// The default implementation of the <see cref="ISamplePluginPluginSettings"/> interface for the non-UI sample-plugin.
    /// </summary>
    internal sealed class SamplePluginSettings : ISamplePluginPluginSettings
    {
        #region Properties

        /// <inheritdoc/>
        public int SamplePluginSettingNumber { get; set; } = -1;
        public bool SamplePluginSettingBool { get; set; }
        public string SamplePluginSettingString { get; set; } = string.Empty;

        #endregion Properties

        #region Constructors

        /// <summary>
        /// Initializes a new instance of this <see cref="SamplePluginSettings"/> class.
        /// </summary>
        public SamplePluginSettings()
        {
        }

        #endregion Constructors

        #region Methods

        /// <inheritdoc/>
        public void Save()
        {
            // Currently empty on purpose.
        }

        #endregion Methods
    }
}
