﻿/// <file>SamplePluginTestStepTypeMetadataBase.cs</file>
/// 
/// <summary>The abstract base class for every test step type metadata instance inside this SamplePlugin plugin.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#nullable enable

#region Using

using Mathema.EmbeddedTestBench.Core.Model.Tests.Types;

using System;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin.Model.StepTypes.Metadata
{
    /// <summary>
    /// The abstract base class for every test step type metadata instance inside this SamplePlugin plugin.
    /// </summary>
    public abstract class SamplePluginTestStepTypeMetadataBase : TestStepTypeMetadataBase
    {
        #region Properties

        /// <inheritdoc/>
        public override Guid ID { get; }

        #endregion Properties

        #region Constructors

        /// <summary>
        /// Constructor of the class.
        /// </summary>
        protected SamplePluginTestStepTypeMetadataBase(string testStepTypeId)
        {
            ID = Guid.ParseExact(testStepTypeId, "B");
        }

        #endregion Constructors

    }
}
