﻿/// <file>SamplePluginEditorGuids.cs</file>
/// 
/// <summary>A helper class that contains the <see cref="Guid"/> for the editors in this plugin.</summary>
/// 
/// <copyright>Copyright (c) MATHEMA GmbH 2024</copyright>
/// 
/// <autor>Dominik Dinkel [DD]</autor>
/// <date>12.04.2024</date>
/// <fileversion>1.0.0.0</fileversion>
/// <revisions>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">Created.</revision>
///     <revision initials="DD" date="12.04.2024" fileversion="1.0.0.0">First finished version.</revision>
/// </revisions>

#region Using

using System;

#endregion Using

namespace Mathema.EmbeddedTestBench.Plugin.SamplePlugin
{
    /// <summary>
    /// A helper class that contains the <see cref="Guid"/> for the editors in this plugin.
    /// </summary>
    public static class SamplePluginEditorGuids
    {
        /// <summary>
        /// Represents the editor for a single channel.
        /// </summary>
        public const string CustomStringEditor = "{f2fac621-c855-4d1f-957f-5b69c01e7382}";

        /// <summary>
        /// Represents a custom string result editor.
        /// </summary>
        public const string SimpleStringResultEditor = "{5929f73b-bfc9-4d70-9fdf-b3dc71b097db}";
    }
}
